const express = require("express");
const router = express.Router();
const UserRequest = require("./../../model/patient/request");

router.get("/:practitionerKey", async (req, res) => {
  const practitionerKey = req.params.practitionerKey;

  try {
    const patientData = await UserRequest.find({
      practitioner: practitionerKey,
      status: "Accepted",
    });
    res.status(200).json({
      message: "Patient data",
      data: patientData,
    });
    console.log("/treatingPatients - Getting all patient details success");
  } catch (errorWhenGettingThePatients) {
    console.log(
      "Getting all treatments : ERROR : ",
      errorWhenGettingThePatients
    );
    console.log("/treatingPatients - Getting all patient details failed");
    res.status(500).json({
      error: "Getting all patient details failed : ",
      errorWhenGettingThePatients,
    });
  }
});
module.exports = router;
