import React, { useState } from "react";
import { View, Text, TextInput, Button, StyleSheet } from "react-native";

export default function PatientRegSeven({ navigation, route }) {
  const [ethnicity, setEthnicity] = useState("");
  const [religion, setReligion] = useState("");
  const [nationality, setNationality] = useState("");

  const handleNext = () => {
    var data = {
      email: route.params.email,
      username: route.params.username,
      password: route.params.password,
      name: route.params.name,
      pronoun: route.params.pronoun,
      stringDate: route.params.stringDate,
      gender: route.params.gender,
      orphan: route.params.orphan,
      siblingCount: route.params.siblingCount,
      relationshipStatus: route.params.relationshipStatus,
      numberOfChildren: route.params.numberOfChildren,
      sexualPreference: route.params.sexualPreference,
      ethnicity: ethnicity,
      religion: religion,
      nationality: nationality,
    };
    navigation.navigate("PatientRegEight", data);
    console.log(data);
  };

  return (
    <View style={styles.container}>
      <Text>Ethnicity:</Text>
      <TextInput
        style={styles.input}
        value={ethnicity}
        onChangeText={setEthnicity}
        maxLength={64}
      />

      <Text>Religion:</Text>
      <TextInput
        style={styles.input}
        value={religion}
        onChangeText={setReligion}
        maxLength={64}
      />

      <Text>Nationality:</Text>
      <TextInput
        style={styles.input}
        value={nationality}
        onChangeText={setNationality}
        maxLength={64}
      />

      <Button title="Next" onPress={handleNext} />
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
  },
  input: {
    borderWidth: 1,
    borderColor: "gray",
    marginBottom: 10,
  },
});
